## ares 0.7.0

=== DESCRIPTION ===
Package: ares
Version: 0.7.0
Date: 2010-08-24
Author: Washington Junger <wjunger@ims.uerj.br> and Antonio Ponce de
        Leon <ponce@ims.uerj.br>
Maintainer: Washington Junger <wjunger@ims.uerj.br>
Depends: R (>= 2.11.0),utils,stats,foreign,gam,splines,gplots
Title: Environment air pollution epidemiology: a library for time
        series analysis
Description: A toolbox for time series analyses using generalized
        additive models. This library includes routines for model
        estimation and diagnostics. Polynomial distributed lag models
        are also implemented.
License: GPL (>= 2)
Packaged: 2010-08-25 04:09:15 UTC; wjunger
Repository: CRAN
Date/Publication: 2010-08-25 09:37:21

## ares 0.7.1

=== DESCRIPTION ===
Package: ares
Version: 0.7.1
Date: 2010-12-29
Author: Washington Junger <wjunger@ims.uerj.br> and Antonio Ponce de
        Leon <ponce@ims.uerj.br>
Maintainer: Washington Junger <wjunger@ims.uerj.br>
Depends: R (>= 2.11.0),utils,stats,foreign,gam,gplots,splines
Title: Environment air pollution epidemiology: a library for time
        series analysis
Description: A toolbox for time series analyses using generalized
        additive models. This library includes routines for model
        estimation and diagnostics. Polynomial distributed lag models
        are also implemented.
License: GPL (>= 2)
Packaged: 2010-12-29 14:37:01 UTC; wjunger
Repository: CRAN
Date/Publication: 2011-01-03 12:34:05

## ares 0.7.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ares
-Version: 0.7.1
-Date: 2010-12-29
+Version: 0.7.2
+Date: 2011-05-19
 Author: Washington Junger <wjunger@ims.uerj.br> and Antonio Ponce de
         Leon <ponce@ims.uerj.br>
 Maintainer: Washington Junger <wjunger@ims.uerj.br>
@@ -12,6 +12,6 @@
         estimation and diagnostics. Polynomial distributed lag models
         are also implemented.
 License: GPL (>= 2)
-Packaged: 2010-12-29 14:37:01 UTC; wjunger
+Packaged: 2011-05-20 00:30:33 UTC; wjunger
 Repository: CRAN
-Date/Publication: 2011-01-03 12:34:05
+Date/Publication: 2011-05-20 12:05:08

## ares 126

=== debian/changelog ===
ares (126-3) unstable; urgency=medium

  * Add disable-md-on-32bit.patch, disabling Sega Mega Drive core
    on 32 bit architectures.
  * Add allow-all-architectures.patch to attempt build on all
    architectures.
  * Update upstream homepage.

 -- Tobias Hansen <thansen@debian.org>  Sat, 19 Feb 2022 21:24:20 +0000

ares (126-2) unstable; urgency=medium

  * Add no-optional-extensions.patch, removing flag -march-native
    and the n64 core which relies on SSE 4.2.

 -- Tobias Hansen <thansen@debian.org>  Wed, 09 Feb 2022 22:59:39 +0000

ares (126-1) unstable; urgency=medium

  * New upstream release.
  * Provide ares instead of higan because it is more user friendly
    and actively maintained. (Closes: #1003848)

 -- Tobias Hansen <thansen@debian.org>  Sun, 16 Jan 2022 20:47:16 +0000

higan (106-2) unstable; urgency=medium

  * Build hiro without SourceEdit to avoid dependence on
    libgtksourceview2.0-dev. (Closes: #885687)

 -- Tobias Hansen <thansen@debian.org>  Sat, 30 Dec 2017 16:09:44 +0100

higan (106-1) unstable; urgency=medium

  * New upstream release.

 -- Tobias Hansen <thansen@debian.org>  Mon, 20 Nov 2017 20:34:12 +0100

higan (105-1) unstable; urgency=medium

  * New upstream release (Closes: #791636).
  * Remove noopt.patch, makefile now allows build without optimization
    by setting build=debug.

 -- Tobias Hansen <thansen@debian.org>  Mon, 09 Oct 2017 23:28:22 +0100

higan (104-1) unstable; urgency=medium

  * New upstream release.
  * Remove sjlj-ftbfs.patch (applied upstream).
  * Remove old user guide since there is now an official user guide
    provided online and linked from the Help menu.
  * Bump Standards-Version to 4.1.0.

 -- Tobias Hansen <thansen@debian.org>  Sat, 02 Sep 2017 19:33:51 +0100

higan (103-2) unstable; urgency=medium

  * Apply sjlj-ftbfs.patch from Adrian Bunk (Closes: 869385)
    (Include settings.h for thread_local.)

 -- Tobias Hansen <thansen@debian.org>  Sun, 23 Jul 2017 21:46:27 +0100

higan (103-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.

 -- Tobias Hansen <thansen@debian.org>  Sat, 22 Jul 2017 13:36:18 +0100

higan (102-1) experimental; urgency=medium

  * New upstream release. (Closes: #837553)
  * Higan no longer has profiles (accuracy, balanced, performance).
    New versions of higan use what used to be the accuracy profile.
    Consequently the update-alternatives mechanism to choose a profile
    was removed from the package.
  * Switch to dh compat level 10.
  * Use install target of upstream makefile.
  * Remove disable_long_double_size_check.patch (applied upstream).
  * Disable udev on kfreebsd. (Closes: #834061)

 -- Tobias Hansen <thansen@debian.org>  Mon, 13 Feb 2017 21:23:07 +0000

higan (098-2) unstable; urgency=medium

  * Disable check for the size of long double to
    fix build on armel, armhf, mips and mipsel.
  * New patch to fix build on kfreebsd:
    - disable-alsa-on-non-linux.patch

 -- Tobias Hansen <thansen@debian.org>  Tue, 28 Jun 2016 11:16:28 +0100

higan (098-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches (no longer needed):
    - load-private-libraries.patch
    - force-button-images.patch
    - fc-heuristic-error.patch
    - dt_lnk-dt_unknown.patch
    - handle-opengl-x-error.patch
  * Change patches:
    - noopt-nostrip.patch to noopt.patch:
      Binaries are no longer stripped by default.
  * Refresh/update patches:
    - nall-makefile-fixes.patch
    - makefile-fixes.patch
    - desktop-file.patch
    - sjlj-declare-xopen-source.patch
    - use-XDG_CONFIG_HOME.patch
  * New patches:
    - use_sharedpath.patch
    - ignore_manifests_by_default.patch
    - create_config.patch
    - include_cmath.patch
  * Fix .desktop file syntax. (Closes: #812482)
  * Update homepage URL. (Closes: #808788)
  * Bump Standards-Version.
  * Remove menu file.
  * Remove lintian override for menu-command-not-in-package.
  * Update debian/watch.
  * Use https vcs urls.
  * Update debian/copyright with new file locations.
  * Update user guide.
  * Write man page for icarus.

 -- Tobias Hansen <thansen@debian.org>  Sun, 26 Jun 2016 12:56:27 +0100

higan (094-6) unstable; urgency=medium

  * Instead of checking for the available OpenGL version,
    try creating an OpenGL 3.2 context and handle possible X errors.
    The previous check would find the OpenGL compatibility profile version
    which can be lower than the core profile version (e.g. when using Mesa)
    leading to false positives. (Closes: #790114)
    - Remove check-opengl-version.patch
    - Add handle-opengl-x-error.patch
  * Remove transitional dummy package bsnes.
  * Add Provides: nes-emulator to d/control (Closes: #777098)
  * Create debian/watch.
  * Bump Standards-Version to 3.9.6.

 -- Tobias Hansen <thansen@debian.org>  Tue, 14 Jul 2015 23:52:16 +0200

higan (094-5) unstable; urgency=medium

  * Use standard gcc instead of gcc-4.8. (Closes: #751314)

 -- Tobias Hansen <thansen@debian.org>  Sun, 03 Aug 2014 16:57:25 +0200

higan (094-4) unstable; urgency=medium

  * Add a hack to the postinst script to make higan show up
    in gnome-shell right after the installation. (Closes: #748018)
  * Add another patch by Michael Gold:
    - use-XDG_CONFIG_HOME.patch:
      Store config files in $XDG_CONFIG_HOME if set. (Closes: #738270)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 May 2014 11:22:08 +0200

higan (094-3) unstable; urgency=medium

  * Add patches by Michael Gold:
    - dt_lnk-dt_unknown.patch:
      Handle symlinks/DT_UNKNOWN correctly. (Closes: #737361)
    - fc-heuristic-error.patch:
      Prevent crash when importing unheadered NES ROM. (Closes: #737363)
    - noopt-nostrip.patch:
      Support DEB_BUILD_OPTIONS='noopt nostrip'. (Closes: #737364)
  * Modify patch:
    - load-private-libraries.patch:
      Look for libraries first in LD_LIBRARY_PATH first. (Closes: #737365)



=== debian/control ===
Source: ares
Section: otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Build-Depends: debhelper (>= 12),
               debhelper-compat (= 12),
               pkg-config,
               libgtk-3-dev,
               libgtksourceview-3.0-dev,
               libsdl1.2-dev,
               libpulse-dev,
               libopenal-dev,
               libao-dev,
               libxv-dev,
               libudev-dev [linux-any],
               libasound2-dev [linux-any]
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/games-team/ares
Vcs-Git: https://salsa.debian.org/games-team/ares.git
Homepage: https://ares-emu.net

Package: ares
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: nes-emulator
Description: Accurate multi-system emulator
 ares is an emulator for systems from Nintendo, Sega, Sony, NEC, SNK,
 Microsoft, Coleco, Bandai and Benesse. It is a descendent of higan and bsnes
 and focuses on accuracy and preservation. The SNES emulation is especially
 complete and polished.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

ifeq (,$(findstring $(DEB_BUILD_ARCH_CPU),"amd64 i386 powerpc"))
	export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify
endif

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    BUILDOPT=build=optimized
else
    BUILDOPT=build=debug
endif

%:
	dh $@ --sourcedirectory=desktop-ui

override_dh_auto_build:
	dh_auto_build -- $(BUILDOPT)

override_dh_auto_install:
	dh_auto_install -- prefix=../debian/tmp/usr

override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/ares-emulator/ares/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## ares 134%2Bdfsg

=== debian/changelog ===
ares (134+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:19:50 +1100

ares (134+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:49:53 +0000

ares (134+dfsg-1) unstable; urgency=medium

  * Team Upload
  * fails to build on many architectures (Closes: #1054169, LP: #2039708)
  * unvendor libchdr, build with new libchdr0/libchdr-dev package

 -- Alexandre Detiste <tchet@debian.org>  Tue, 09 Jan 2024 22:41:33 +0100

ares (133-1) unstable; urgency=medium

  * attempt to build on all architectures
  * allow crossbuilding (Closes: #866070)
  * drop patches applied upstream:
    * build default to Gtk-3
    * fix FTBFS with GCC-13
  * refresh existing patches
  * update copyright information of thirdparty/

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 26 Jul 2023 17:26:41 +0200

ares (132-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Refer to common license file for Apache-2.0.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Wirooks ]
  * Updated to 131 (Closes: #1028143)
  * Refreshed all patches - some needed manual work
  * Removal of MD on 32 bit and N64 in general still needed
  * Mentioned Atari in docs
  * Renamed higan with ares in docs

  [ Alexandre Detiste ]
  * debian/watch: Use GitHub /tags rather than /releases page.
  * update build-dependencies:
    * pkg-config -> pkgconf
    * libsdl1.2-dev -> libsdl2-dev (Closes: #1038026)
  * fix FTBFS with GCC-13 (Closes: #1037580)
  * add copyright information for new vendored files
    shipped in thirdparty/.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sat, 22 Jul 2023 17:16:04 +0200

## ares 134+dfsg

=== thirdparty/sljit/CMakeLists.txt ===
# This script is incomplete and is only meant as an aid for building
# and testing sljit in platforms without GNU make.
# You are better off install GNU make and using that instead.

cmake_minimum_required(VERSION 3.12)

project(sljit C)

# https://gist.github.com/tusharpm/d71dd6cab8a00320ddb48cc82bf7f64c

if(POLICY CMP0007)
  cmake_policy(SET CMP0007 NEW)
endif()

function(ReadVariables MKFile)
  file(READ "${MKFile}" FileContents)
  string(REPLACE "\\\n" "" FileContents ${FileContents})
  string(REPLACE "\n" ";" FileLines ${FileContents})
  list(REMOVE_ITEM FileLines "")
  foreach(line ${FileLines})
    if(line MATCHES "^[ A-Z]*=")
      string(REPLACE "=" ";" line_split ${line})
      list(GET line_split -1 value)
      string(STRIP "${value}" value)
      separate_arguments(value)
      list(REMOVE_AT line_split -1)
      foreach(var_name ${line_split})
        string(STRIP ${var_name} var_name)
        set(${var_name} ${value} PARENT_SCOPE)
      endforeach()
    endif()
  endforeach()
endfunction()

ReadVariables(GNUmakefile)

find_package(Threads REQUIRED)
include_directories(${SRCDIR} ${TESTDIR})
add_executable(sljit_test ${TESTDIR}/sljitMain.c ${TESTDIR}/sljitTest.c ${SRCDIR}/sljitLir.c)
target_compile_definitions(sljit_test PRIVATE SLJIT_HAVE_CONFIG_PRE)
target_link_libraries(sljit_test Threads::Threads)
if(MSVC)
  set_target_properties(sljit_test PROPERTIES LINK_FLAGS "/STACK:0x400000")
else()
  set_target_properties(sljit_test PROPERTIES LINK_FLAGS "-Wl,--stack,4194304")
endif()

=== debian/control ===
Source: ares
Section: otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Build-Depends: debhelper (>= 12),
               debhelper-compat (= 13),
               pkgconf,
               libgtk-3-dev,
               libgtksourceview-3.0-dev,
               libsdl2-dev,
               libpulse-dev,
               libopenal-dev,
               libao-dev,
               libxv-dev,
               libchdr-dev,
               libudev-dev [linux-any],
               libasound2-dev [linux-any]
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/games-team/ares
Vcs-Git: https://salsa.debian.org/games-team/ares.git
Homepage: https://ares-emu.net
Rules-Requires-Root: no

Package: ares
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: nes-emulator
Description: Accurate multi-system emulator
 ares is an emulator for systems from Atari, Nintendo, Sega, Sony, NEC, SNK,
 Microsoft, Coleco, Bandai and Benesse. It is a descendent of higan and bsnes
 and focuses on accuracy and preservation. The SNES emulation is especially
 complete and polished.

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,25 @@
     BUILDOPT=build=debug
 endif
 
+
+ifeq ($(DEB_BUILD_ARCH_CPU),i386)
+    ares_arch := x86
+else ifeq ($(DEB_BUILD_ARCH_CPU),armhf)
+    ares_arch := arm32
+else ifeq ($(DEB_BUILD_ARCH_CPU),ppc64el)
+    ares_arch := ppc64
+else
+    ares_arch := $(DEB_BUILD_ARCH_CPU)
+endif
+
 %:
 	dh $@ --sourcedirectory=desktop-ui
 
+override_dh_auto_clean:
+	dh_auto_clean -- arch='$(ares_arch)'
+
 override_dh_auto_build:
-	dh_auto_build -- $(BUILDOPT)
+	dh_auto_build -- $(BUILDOPT) compiler='$(CXX)' arch='$(ares_arch)'
 
 override_dh_auto_install:
 	dh_auto_install -- prefix=../debian/tmp/usr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,repack,dversionmangle=s/\+dfsg\d*//" \
 https://github.com/ares-emulator/ares/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## ares 147%2Bdfsg

=== libco/CMakeLists.txt ===
add_library(libco STATIC libco.c)

string(TOLOWER ${CMAKE_SYSTEM_PROCESSOR} LOWERCASE_CMAKE_SYSTEM_PROCESSOR)

if(LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(i[3-6]86|x86)")
  target_sources(libco PRIVATE x86.c)
elseif(LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(x64|x86_64|amd64|e2k)")
  target_sources(libco PRIVATE amd64.c)
elseif(LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)64(le)?")
  target_sources(libco PRIVATE ppc64v2.c)
elseif(LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(riscv)")
  target_sources(libco PRIVATE riscv.c)
elseif(LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(aarch64|arm64)")
  target_sources(libco PRIVATE aarch64.c)
elseif(LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(arm)")
  target_sources(libco PRIVATE arm.c)
elseif(LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(ppc)")
  target_sources(libco PRIVATE ppc.c)
elseif(OS_WINDOWS)
  target_sources(libco PRIVATE fiber.c)
else()
  target_sources(libco PRIVATE sjlj.c)
endif()

target_sources(libco PRIVATE libco.h settings.h)

get_target_property(libco_SOURCES libco SOURCES)

target_include_directories(libco INTERFACE ..)

target_compile_options(libco PRIVATE $<$<CXX_COMPILER_ID:Clang,AppleClang>:-Wno-strict-prototypes>)

set_source_files_properties(libco ${libco_SOURCES} PROPERTIES HEADER_FILE_ONLY TRUE)

source_group(TREE ${CMAKE_CURRENT_SOURCE_DIR} FILES ${libco_SOURCES})

set_source_files_properties(libco libco.c PROPERTIES HEADER_FILE_ONLY FALSE)
